<template>
  <section class="slideshow">
    <Slide :slide="slides[activeId]" />
    <SlideButtons v-if="extended" :active-id="activeId" :slides="slides" @changeSlide="changeHandler" class="nav"/>
  </section>
</template>

<script>
import { slides } from "@/dummies/slides";
import SlideButtons from "./SlideButtons";
import Slide from "./Slide";

export default {
  name: "Slideshow",
  components: {
    SlideButtons,
    Slide
  },
  data() {
    return {
      slides: slides,
      activeId: 0,
      width: 1000
    }
  },
  methods: {
    changeHandler(id) {
      this.activeId = id;
    },
    sizeChangeHandler() {
      this.width = window.innerWidth;
    }
  },
  computed: {
    extended() {
      return this.width >= 400;
    }
  },
  // mounted() {
  //   this.width = window.innerWidth;
  //   window.addEventListener("resize", this.sizeChangeHandler);
  // },  
  // beforeDestroy() {
  //   window.removeEventListener("resize", this.sizeChangeHandler);
  // }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.nav
  margin-top 9.5rem
  @media only screen and (max-width 800px)
    margin-top $lg
</style>